Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cactus.internal.server
Interface WebImplicitObjects

All Superinterfaces:
  ImplicitObjects

All Known Implementing Classes:
  AbstractWebImplicitObjects

public interface WebImplicitObjects
extends ImplicitObjects

Interface for implicit objects that exist for all web requests (`HttpServletRequest`, `HttpServletResponse` and `ServletContext`).

Version:
  $Id: WebImplicitObjects.java 238991 2004-05-22 11:34:50Z vmassol $

Method Summary
`javax.servlet.http.HttpServletRequest` | `getHttpServletRequest()`
`javax.servlet.http.HttpServletResponse` | `getHttpServletResponse()`
`javax.servlet.ServletContext` | `getServletContext()`
`void` | `setHttpServletRequest(javax.servlet.http.HttpServletRequest theRequest)`
`void` | `setHttpServletResponse(javax.servlet.http.HttpServletResponse theResponse)`
`void` | `setServletContext(javax.servlet.ServletContext theContext)`

Method Detail

### getServletContext

    public javax.servlet.ServletContext getServletContext()

  Returns:
    the `ServletContext` implicit object

### setServletContext

    public void setServletContext(javax.servlet.ServletContext theContext)

  Parameters:
    `theContext` - the `ServletContext` implicit object

### getHttpServletResponse

    public javax.servlet.http.HttpServletResponse getHttpServletResponse()

  Returns:
    the `HttpServletResponse` implicit object

### setHttpServletResponse

    public void setHttpServletResponse(javax.servlet.http.HttpServletResponse theResponse)

  Parameters:
    `theResponse` - the `HttpServletResponse` implicit object

### getHttpServletRequest

    public javax.servlet.http.HttpServletRequest getHttpServletRequest()

  Returns:
    the `HttpServletRequest` implicit object

### setHttpServletRequest

    public void setHttpServletRequest(javax.servlet.http.HttpServletRequest theRequest)

  Parameters:
    `theRequest` - the `HttpServletRequest` implicit object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2004 Apache Software Foundation. All Rights Reserved.